Subject: Re: MPC5200b MMC over SPI into PSC6

From: Fabio Tosetto <[email-masked]>
Date: Wed, 07 May 2008 14:49:21 +0200

I've tried to port my exesting configurations to the powerpc tree but 
some configurations files are missing.

I need to set PSC3 - PSC4 in uart mode:
before in file *arch/ppc/platforms/lite5200.c* I added

struct mpc52xx_psc_func mpc52xx_psc_functions[] = {
        {       .id     = 3,
                .func   = "uart",
        },
        {       .id     = 4,
                .func   = "uart",
        },
        {       .id     = -1,   /* End entry */
                .func   = NULL,
        }
};

I need to set PSC4 as a low level debug: *
*before in file  *arch/ppc/platforms/lite5200.h *I added

#define MPC52xx_PF_CONSOLE_PORT 4    /* PSC4 */

Finally I need to set  the virtual memory translation on a range of 128 MB:
before in file *arch/ppc/kernel/head.S *I added

/*ori    r11,r11,BL_128M<<2|0x2    set up BAT registers for 604 */

ori    r11,r11,BL_128M<<2|0x2    /* set up BAT registers for 604 */

could you please explain me how to do the same operations in powerpc tree??

thanks Fabio

Grant Likely ha scritto:
> On Mon, May 5, 2008 at 12:12 PM, Fabio Tosetto <[email-masked]> wrote:
>   
>> Hello, I have an embedded system with an on-board processor powerpc MPC5200B
>>  and Linux kernel 2.6.22,
>>  I must turn over to MMC SPI on the PSC6.
>>
>>  First, I
>>  have enabled PSC6:
>>
>>  in ../arch/ppc/platforms/lite5200.c added PSC6 in SPI mode
>>     
>
> You're using arch/ppc which is depreciated.  You should move to using
> arch/powerpc (set ARCH=powerpc when compiling).  Devices are then
> enabled in the device tree source file
> arch/powerpc/boot/dts/lite5200b.dts.
>
> Many things have changed with MPC5200 support in the last year, you
> should also use the latest kernel release (2.6.25.2 when it is
> released.  If you use 2.6.25.1, then there is a trivial bug in the psc
> serial port driver that you'll need to fix.  I'll include the link to
> the patch below)
>
> Cheers,
> g.
>
> http://ozlabs.org/pipermail/linuxppc-dev/2008-April/055495.html
>
>